* Code for

***************************************************************************
* Appendix J of
***************************************************************************
* Semih Uslu: Pricing and Liquidity in Decentralized Asset Markets
***************************************************************************


* This file generates Figure 2 for the distribution of trade sizes.


clear
use "/SASUniversityEdition/myfolders/sasuser.v94/d3_sum.dta", clear
* Enter your own directory on the previous line.

g rating_group = 1
	replace rating_group = 2 if investment_grade == 1
	replace rating_group = 3 if full_sample == 1
label variable percentage "Fraction"
sort transaction_group
g group2 = 1 if group == "2014_____"
replace group2 = 2 if group == "2012_2014"
replace group2 = 3 if group == "2005_2014"

graph set window fontface "CMU Serif"
graph bar (asis) percentage, over(rating_group, relabel(1 "A and above" 2 "Investment grade" 3 "All bonds")) ///
over(transaction_group, relabel(1 "q{&le}1000" 2 "1000<q{&le}5000" 3 "5000<q{&le}25000" 4 "25000<q{&le}100000" 5 "100000<q{&le}500000" 6 "500000<q{&le}5000000" 7 "q>5000000") ///
label(angle(forty_five) labsize(small))) over(group2, relabel(1 "2014" 2 "2012-2014" 3 "2005-2014") gap(500)) ///
bar(1, fcolor(maroon) lcolor(maroon) lwidth(none)) bar(2, fcolor(navy) lcolor(dknavy) lwidth(none)) bar(3, fcolor(dkorange) lcolor(dkorange) lwidth(none)) ///
ylabel(0 "0%" 0.1 "10%" 0.2 "20%" 0.3 "30%" 0.4 "40%", angle(horizontal) format(%9.0g)) legend(rows(1))

graph2tex, epsfile(trdsize_distribution)
graph export trdsize_distribution.png, replace

